toggleWidget {rgl} | R Documentation

## An HTML widget to toggle display of elements of a scene.

### Description

This function produces a button in an HTML scene that will toggle the display of items in the scene.

### Usage

    toggleWidget(sceneId, ids, subscenes = NULL,
                 label = deparse(substitute(ids)), ...)

### Arguments

`sceneId` | The HTML id of the rgl scene being controlled, or an object as in `playwidget`.
`ids` | The rgl id numbers of the objects to toggle.
`subscenes` | The subscenes in which to toggle the objects.
`label` | The label to put on the button.
`...` | Additional arguments to pass to `playwidget`.

### Details

Like `playwidget`, this function is designed to work within the htmlwidgets framework. If the value is printed, the button will be inserted into the output.

It is also designed to work with magrittr-style pipes: the result of `rglwidget` or other widgets can be piped into it to add it to a display. It can also appear first in the pipeline, if `sceneId` is set to `NA`.

### Value

A widget suitable for use in an Rmarkdown-generated web page, or elsewhere.

### Author(s)

Duncan Murdoch

### See Also

`toggleButton` for the older style of HTML control.

### Examples

    theplot <- plot3d(rnorm(100), rnorm(100), rnorm(100), col = "red")
    widget <- rglwidget(height = 300, width = 300) %>%
      toggleWidget(theplot["data"], label = "Points")
    if (interactive())
      widget

[Package rgl version 0.99.16 Index]